Subject: [magma] Proxy querier uses 0.0.0.0 ip address

From: Koen Vermeulen <[email-masked]>
Date: Mon, 26 Jan 2004 13:57:59 +0100

Hello all,

I have again a question concerning the 'IGMP snooping recommendations' 
document.

In part 2.2.1. (IGMP Forwarding Rules) 1), is stated the the multicast 
router list can be constructed via any combination of 3 ways. However, I 
have a problem in understanding way b):

'The arrival port for IGMP Queries (sent by multicast routers) where the 
source address is not 0.0.0.0.'

I am unable to understand why we wouldn't use this type of queries to 
build our list of multicast routers. 0.0.0.0 means that we are dealing 
with a 'proxy querier'. In my opinion, this type of switch is very much 
interested in receiving reports. How else is this proxy able to build an 
internal membership database?

Suppose following network:

   +------------------+
   | multicast router |
   +------------------+
            |
    +--------------+
    |IGMP proxy (A)|
    +--------------+
       |         \
       |          \
 +-----+-----+     \
 |     |     |      \
host1 host2 host3    \
                      \
                  +-------------------+
                  | IGMP snooping (B) |
                  +-------------------+
                       |         |
                     host4     host5

where A is performing 'proxy' functionality (is regularly sending 
queries downstream to hosts 1-3 and snooping device B)
  and B is a 'regular non-proxy snooping' switch.

If B is not taking the upstream interface towards A into account 
(because of the fact that A is sending its queries with ip address 
0.0.0.0), how can A build its membership database allowing multicast 
traffic to be flooded towards hosts 4 and 5?

Or am I missing something here?

Thanks in advance,
Koen

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma